<HTML>
<HEAD>
<TITLE>JSONtext.lvlib:To JSON Text.vim</TITLE>
<META NAME="Author" CONTENT="">
<META NAME="GENERATOR" CONTENT="G Development Environment">
</HEAD>
<BODY BGCOLOR="#FFFFFF">
<A NAME="JSONtext.lvlib:To JSON Text.vim"></A><H2>JSONtext.lvlib:To JSON Text.vim</H2>
<P>Converts a LabVIEW datatype into a JSON value.  </P>
<P></P>
<P>Strings or Arrays of strings marked with a leading &quot;&lt;JSON&gt;&quot; tag in their name (including inside clusters) are treated as already being valid JSON.  Strings not marked as &lt;JSON&gt; are quoted and escaped as a JSON String.  Note that JSONtext.lvlib functions that produce JSON have their outputs labelled &quot;&lt;JSON&gt;&quot;, so that they may be used as inputs to other functions.</P>
<P></P>
<P>Two types of LabVIEW Clusters are supported: either with all named elements, which are converted to JSON Objects, or all unnamed elements (or elements just named &quot;&lt;JSON&gt;&quot;), which are converted to a JSON Array.  Handling of mixed clusters with some named and some unnamed in undefined (currently, this VI will use the first element to determine whether to convert to an Object or Array).</P>
<P><IMG SRC="Images/To JSON Text_VIMc.png" ALT="JSONtext.lvlib:To JSON Text.vim"></P>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/cfxdt.png" ALT="cfxdt"></P>
</TD>
<TD>
<B>Anything</B> <P>Anything contains the data you want to convert to a UTF-8 JSON string. This input accepts most LabVIEW types, including <a href="Pages\Cluster and Array conversion to JSON.html">arrays and clusters of those types</a>.</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/cbool.png" ALT="cbool"></P>
</TD>
<TD>
<B>enable LabVIEW extensions? (T)</B> <P>Enables LabVIEW JSON extensions to support NaN and Inf values of floating-point numbers. Not all JSON parsers support these extensions.  </P>
<P></P>
<P>By default, this input is true, to match the inbuilt LabVIEW JSON functions; however, one may enforce no use of of the LabVIEW Extension using the Project Conditional Disable Symbol &quot;JSONtext_Strict&quot; = &quot;True&quot;.</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/cbool.png" ALT="cbool"></P>
</TD>
<TD>
<B>Pretty Print?</B> <P>Formats the ouput JSON using new lines and indentation to make it more easily human readable.</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/cerrcodeclst.png" ALT="cerrcodeclst"></P>
</TD>
<TD>
<B>error in (no error)</B> <P>Describes error conditions that occur before this node runs. This input provides standard error in functionality.</P>
</TD>
</TR>
</Table>
<UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/cbool.png" ALT="cbool"></P>
</TD>
<TD>
<B>status</B> <P></P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/ci32.png" ALT="ci32"></P>
</TD>
<TD>
<B>code</B> <P></P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/cstr.png" ALT="cstr"></P>
</TD>
<TD>
<B>source</B> <P></P>
</TD>
</TR>
</Table>
</UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/istr.png" ALT="istr"></P>
</TD>
<TD>
<B>&lt;JSON&gt;</B> <P>Output JSON.  The <a href="Pages\JSON tags.html">&lt;JSON&gt; tag</a> indicates to some downstream functions that this is JSON, rather than a standard LabVIEW string.</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/ierrcodeclst.png" ALT="ierrcodeclst"></P>
</TD>
<TD>
<B>error out</B> <P>Contains error information. This output provides standard error out functionality.</P>
</TD>
</TR>
</Table>
<UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/ibool.png" ALT="ibool"></P>
</TD>
<TD>
<B>status</B> <P></P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/ii32.png" ALT="ii32"></P>
</TD>
<TD>
<B>code</B> <P></P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/istr.png" ALT="istr"></P>
</TD>
<TD>
<B>source</B> <P></P>
</TD>
</TR>
</Table>
</UL>
</BODY>
</HTML>

<p>See also <a href="Pages/JSONtext.html">JSONtext</a>.</p>
<p>For support please see <a title="[CR] JSONtext" href="https://lavag.org/topic/20236-cr-jsontext/" target="_blank" rel="noopener">[CR] JSONtext</a> and <a title="JSONtext Issues" href="https://bitbucket.org/drjdpowell/jsontext/issues?status=new&amp;status=open">Bitbucket Issue Tracker</a>.</p>